API ReferenceManagementMCP Server Clients
POST
/v1/mgmt/mcp/server/client/update

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

id?string
mcpServerId?string
name?string
approvedCallbackUrls?array<string>
string
scopes?array<string>
string
tags?array<string>
string
logo?string
forceAddAllAuthorizationInfo?boolean

Update an MCP Server Client, using a valid management key.

curl -X POST "https://api.descope.com/v1/mgmt/mcp/server/client/update" \  -H "Content-Type: application/json" \  -d '{}'
{  "client": {    "id": "string",    "name": "string",    "clientId": "string",    "mcpServerId": "string",    "approvedCallbackUrls": [      "string"    ],    "scopes": [      "string"    ],    "tags": [      "string"    ],    "logo": "string",    "registrationType": "string",    "status": "string",    "forceAddAllAuthorizationInfo": true  }}
export interface Response {client?: {id?: stringname?: stringclientId?: stringmcpServerId?: stringapprovedCallbackUrls?: string[]scopes?: string[]tags?: string[]logo?: stringregistrationType?: stringstatus?: stringforceAddAllAuthorizationInfo?: boolean}}
Was this helpful?